# -*- coding: UTF-8 -*-

'''
 Module
     __init__.py
 Copyright
     Copyright (C) 2021 Vladimir Roncevic <elektron.ronca@gmail.com>
     codecipher is free software: you can redistribute it and/or modify it
     under the terms of the GNU General Public License as published by the
     Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.
     codecipher is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
     See the GNU General Public License for more details.
     You should have received a copy of the GNU General Public License along
     with this program. If not, see <http://www.gnu.org/licenses/>.
 Info
     Defined class AlephTawBetShin with attribute(s) and method(s).
     Create container class with aggregate backend API.
'''

import sys

try:
    from codecipher.atbs.encode import AlephTawBetShinEncode
    from codecipher.atbs.decode import AlephTawBetShinDecode
except ImportError as ats_error_message:
    MESSAGE = '\n{0}\n{1}\n'.format(__file__, ats_error_message)
    sys.exit(MESSAGE)  # Force close python ATS ##############################

__author__ = 'Vladimir Roncevic'
__copyright__ = 'Copyright 2021, https://electux.github.io/codecipher'
__credits__ = ['Vladimir Roncevic']
__license__ = 'https://github.com/electux/codecipher/blob/main/LICENSE'
__version__ = '1.0.5'
__maintainer__ = 'Vladimir Roncevic'
__email__ = 'elektron.ronca@gmail.com'
__status__ = 'Updated'


class AlephTawBetShin(AlephTawBetShinEncode, AlephTawBetShinDecode):
    """
        Defined class AlephTawBetShin with attribute(s) and method(s).
        Create container class with aggregate backend API.
        It defines:

            :attributes:
                | None.
            :methods:
                | __init__ - initial constructor.
    """

    def __init__(self) -> None:
        """
            Initial constructor.

            :exceptions: None
        """
        super(AlephTawBetShin).__init__()
